Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.builder
Class SwiftOTDBuilderObjAdapter

    java.lang.Object
      com.stc.swift.builder.SwiftOTDBuilderObjAdapter

All Implemented Interfaces:
  SwiftOTDBuilderObject

Direct Known Subclasses:
  SwiftAltrnEntry, SwiftAltrnEntryField, SwiftEntryField, SwiftLoopEntryField, SwiftMessage, SwiftMetadata, SwiftOptEntry, SwiftOptEntryField, SwiftPattern, SwiftSeqEntryField

    public class SwiftOTDBuilderObjAdapter

extends java.lang.Object
implements SwiftOTDBuilderObject

Constructor Summary
`SwiftOTDBuilderObjAdapter()`

Method Summary
`void` | `calculateRepetitiveInfo()`
`void` | `diff(SwiftOTDBuilderObject obj, java.io.PrintWriter writer, boolean coreAttrOnly)`
`void` | `genMap(SwiftOTDBuilderObject obj, java.io.PrintWriter writer)` compare the expansion attribute of `this` and `obj` - if there is one, and output the extractfile's expan if there is a diff
`SwiftHRFSpecEntrySet` | `getHRFEntry()`
`java.lang.String` | `getID()`
`java.lang.String` | `getMTType()`
`SwiftOTDBuilderObject` | `getParent()`
`java.lang.String` | `mapName(SwiftOTDBuilderObject obj, java.lang.String name, java.util.Hashtable mapping)`
`void` | `print(java.io.PrintWriter writer)`
`void` | `print(java.io.PrintWriter writer, boolean left)`
`void` | `setHRFEntry(SwiftHRFSpecEntrySet entry)`
`void` | `setParent(SwiftOTDBuilderObject parent)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwiftOTDBuilderObjAdapter

    public SwiftOTDBuilderObjAdapter()

Method Detail

### getParent

    public SwiftOTDBuilderObject getParent()

  Specified by:
    `getParent` in interface `SwiftOTDBuilderObject`

### setParent

    public void setParent(SwiftOTDBuilderObject parent)

  Specified by:
    `setParent` in interface `SwiftOTDBuilderObject`

### getID

    public java.lang.String getID()

  Specified by:
    `getID` in interface `SwiftOTDBuilderObject`

### mapName

    public java.lang.String mapName(SwiftOTDBuilderObject obj,
                                    java.lang.String name,
                                    java.util.Hashtable mapping)

### print

    public void print(java.io.PrintWriter writer)
               throws java.lang.Exception

  Specified by:
    `print` in interface `SwiftOTDBuilderObject`
  Throws:
    `java.lang.Exception`

### diff

    public void diff(SwiftOTDBuilderObject obj,
                     java.io.PrintWriter writer,
                     boolean coreAttrOnly)
              throws java.lang.Exception

  Specified by:
    `diff` in interface `SwiftOTDBuilderObject`
  Throws:
    `java.lang.Exception`

### calculateRepetitiveInfo

    public void calculateRepetitiveInfo()
                                 throws SwiftParsingException

  Specified by:
    `calculateRepetitiveInfo` in interface `SwiftOTDBuilderObject`
  Throws:
    `SwiftParsingException`

### print

    public void print(java.io.PrintWriter writer,
                      boolean left)
               throws java.lang.Exception

  Specified by:
    `print` in interface `SwiftOTDBuilderObject`
  Throws:
    `java.lang.Exception`

### setHRFEntry

    public void setHRFEntry(SwiftHRFSpecEntrySet entry)

  Specified by:
    `setHRFEntry` in interface `SwiftOTDBuilderObject`

### getHRFEntry

    public SwiftHRFSpecEntrySet getHRFEntry()

  Specified by:
    `getHRFEntry` in interface `SwiftOTDBuilderObject`

### genMap

    public void genMap(SwiftOTDBuilderObject obj,
                       java.io.PrintWriter writer)
                throws java.lang.Exception

  compare the expansion attribute of `this` and `obj` - if there is one, and output the extractfile's expan if there is a diff

  Specified by:
    `genMap` in interface `SwiftOTDBuilderObject`
  Throws:
    `java.lang.Exception`

### getMTType

    public java.lang.String getMTType()

  Specified by:
    `getMTType` in interface `SwiftOTDBuilderObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.